Cancel Order API:
Usage: Use this API to cancel a created order.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/cancel_order |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl:
curl --location 'https://api.rapidshyp.com/api/rapidshyp/apis/v1/cancel_order' \
--header 'rapidshyp-token: HQ$f**********oZ' \
--header 'Content-Type: application/json' \
--data '{
"orderId": "1111111111",
"storeName": "DEFAULT"EXTIIIN23_28
}'
| Request Parameters | Requirement | Remark | Validation |
|---|---|---|---|
{ | |||
| orderId | Mandatory | Order ID created on Rapid Shyp | Should be a valid order ID |
| storeName | Mandatory | Store name of order on Rapidshyp | Should be a valid store name ID |
} |
Response:
JSON
{
"status": true,
"remarks": "Order canceled successfully."
}